# Poco::Util

# class InvalidArgumentException

Library: Util
Package: Options
Header: Poco/Util/OptionException.h

## Inheritance

Direct Base Classes: OptionException

All Base Classes: Poco::DataException, Poco::Exception, Poco::RuntimeException, OptionException, std::exception

## Member Summary

Member Functions: className, clone, name, operator =, rethrow

Inherited Functions: className, clone, code, displayText, extendedMessage, message, name, nested, operator =, rethrow, what

## Constructors

### InvalidArgumentException

InvalidArgumentException(
int code = 0
);

### InvalidArgumentException

InvalidArgumentException(
const InvalidArgumentException & exc
);

### InvalidArgumentException

InvalidArgumentException(
const std::string & msg,
int code = 0
);

### InvalidArgumentException

InvalidArgumentException(
const std::string & msg,
const std::string & arg,
int code = 0
);

### InvalidArgumentException

InvalidArgumentException(
const std::string & msg,
const Poco::Exception & exc,
int code = 0
);

## Destructor

### ~InvalidArgumentException

~InvalidArgumentException() noexcept;

## Member Functions

### className

const char * className() const noexcept;

See also: Poco::Util::OptionException::className()

### clone

Poco::Exception * clone() const;

### name

const char * name() const noexcept;

See also: Poco::Util::OptionException::name()

### operator =

InvalidArgumentException & operator = (
const InvalidArgumentException & exc
);

### rethrow

void rethrow() const;

See also: Poco::Util::OptionException::rethrow()